Bug 1391325 - [3.5] openshift_pkg_version doesn't seem to work
Summary: [3.5] openshift_pkg_version doesn't seem to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.5.z
Assignee: Scott Dodson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1449220 1449221
TreeView+ depends on / blocked
 
Reported: 2016-11-03 05:31 UTC by Jaspreet Kaur
Modified: 2017-05-17 17:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Because the upgrade playbooks upgraded packages in a serial manner rather than all at once yum dependency resolution would have installed the latest version available in the enabled repos rather than the requested version. The playbooks have been updated to upgrade all packages to the requested version at once which prevents yum from potentially upgrading to the latest version.
Clone Of:
: 1449220 1449221 (view as bug list)
Environment:
Last Closed: 2017-05-17 17:38:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Description Jaspreet Kaur 2016-11-03 05:31:39 UTC
Description of problem: When migrating openshift from 3.2.1.17 to 3.3.0.32 by setting the openshift_pkg_version=-3.3.0.32 using ansible installer :
ansible-playbook -i /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_3/upgrade.yml It still upgrades to v 3.3.0.35

The result after migration + reboot :
[root@cdyi0538 ~]# openshift version
openshift v3.3.0.35
kubernetes v1.3.0+52492b4
etcd 2.3.0+git


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: Migrated to incorrect version


Expected results: It should have helped to migrate to correct version.


Additional info:

Comment 3 Vladislav Walek 2017-04-28 09:26:52 UTC
Hi,
raising the priority of the case, due the bug is causing unwanted/untested release deployed on production systems ( for customer ). Customer is running tests on latest version, but during the time new release is released. 
Thx

Comment 6 Anping Li 2017-05-12 06:32:28 UTC
atomic-openshift-utils-3.5.69-1.git.0.61edbcb.el7.noarch
OCP can be upgraded from v3.4 to v3.5.5.5 when specified openshift_pkg_version=-3.5.5.5
OCP can be upgraded from v3.5.5.6 to v3.5.5.8 when specified openshift_pkg_version=-3.5.5.8.

So move bug  to verified.

Comment 8 errata-xmlrpc 2017-05-17 17:38:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.